
QGIS Application - Bug report #21176

Can't open feature form when when the primary key of Spatialite  layer is created in text type

2019-02-05 03:44 PM - Claas Leiner

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Data Provider/SpatiaLite

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28994

Description

When I identify a SpatiaLite-Layer i can' t open the feature form, when the primary key  is created in text type. 

Is the primary key integer, there is no problem.

QGIS 3.4.4, Ubuntu 16.04.

see example project

Claas

Associated revisions

Revision 7f61dc49 - 2019-02-08 05:49 PM - Alessandro Pasotti

Fix spatialite text pks and other issues

... also fixes the geometry information query

when spatialite version is >= 4

Fixes #21176

With tests

History

#1 - 2019-02-08 09:22 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2019-02-08 05:50 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Affected QGIS version changed from 3.4.4 to 3.5(master)

- Status changed from Open to In Progress

PR https://github.com/qgis/QGIS/pull/9139

#3 - 2019-02-10 09:59 AM - Alessandro Pasotti

- % Done changed from 0 to 100

- Status changed from In Progress to Closed
https://github.com/qgis/QGIS/pull/9139


Applied in changeset commit:qgis|7f61dc495491752fd26c7f3bad56adc1f8950e3f.

Files

spatlialite_prkey_prob.7z 236 KB 2019-02-05 Claas Leiner

2024-04-27 2/2


